Bug 1243761 - Review Request: mavibot - ApacheDS MVCC BTree implementation
Summary: Review Request: mavibot - ApacheDS MVCC BTree implementation
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Cronenworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1255810
TreeView+ depends on / blocked
 
Reported: 2015-07-16 08:59 UTC by gil cattaneo
Modified: 2015-10-13 23:19 UTC (History)
1 user (show)

Fixed In Version: mavibot-1.0.0-0.1.M8.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-13 23:19:54 UTC
mike: fedora-review+


Attachments (Terms of Use)

Description gil cattaneo 2015-07-16 08:59:22 UTC
Spec URL: https://gil.fedorapeople.org/mavibot.spec
SRPM URL: https://gil.fedorapeople.org/mavibot-1.0.0-0.1.M7.fc22.src.rpm
Description:
Mavibot is a Multi Version Concurrency Control (MVCC) BTree in Java. It
is expected to be a replacement for JDBM (The current back-end for the
Apache Directory Server), but could be a good fit for any other project
in need of a Java MVCC BTree implementation. 
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10362775

ApacheDS 2.0.0-M20 Build/Requires

Comment 1 gil cattaneo 2015-10-09 18:23:50 UTC
Spec URL: https://gil.fedorapeople.org/mavibot.spec
SRPM URL: https://gil.fedorapeople.org/mavibot-1.0.0-0.1.M8.fc22.src.rpm

- update to 1.0.0-M8

Comment 2 Upstream Release Monitoring 2015-10-09 18:31:08 UTC
gil's scratch build of mavibot-1.0.0-0.1.M8.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11388277

Comment 3 Michael Cronenworth 2015-10-12 17:47:53 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache (v2.0)". Detailed output of licensecheck
     in /home/michael/Downloads/1243761-mavibot/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in mavibot-
     javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mavibot-1.0.0-0.1.M8.fc24.noarch.rpm
          mavibot-javadoc-1.0.0-0.1.M8.fc24.noarch.rpm
          mavibot-1.0.0-0.1.M8.fc24.src.rpm
mavibot.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
mavibot.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
mavibot-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

mavibot (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(commons-collections:commons-collections)
    mvn(org.slf4j:slf4j-api)



Provides
--------
mavibot-javadoc:
    mavibot-javadoc

mavibot:
    mavibot
    mvn(org.apache.directory.mavibot:mavibot)
    mvn(org.apache.directory.mavibot:mavibot-parent:pom:)
    mvn(org.apache.directory.mavibot:mavibot:pom:)
    osgi(org.apache.directory.mavibot.mavibot)



Source checksums
----------------
http://www.apache.org/dist/directory/mavibot/dist/1.0.0-M8/mavibot-1.0.0-M8-src.tar.gz :
  CHECKSUM(SHA256) this package     : 64e1b3ca51433a0ed7b54328ed3d11107cd2278b57e2e38d9cff5292fe5f955b
  CHECKSUM(SHA256) upstream package : 64e1b3ca51433a0ed7b54328ed3d11107cd2278b57e2e38d9cff5292fe5f955b


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1243761 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

APPROVED

Comment 4 gil cattaneo 2015-10-12 21:30:10 UTC
Thanks!

Request for new package:
https://admin.fedoraproject.org/pkgdb/package/requests/667

Comment 5 gil cattaneo 2015-10-13 23:19:54 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11433622


Note You need to log in before you can comment on or make changes to this bug.